Welcome to the Scanner Configuration Utility

You can use the Kofax Scanner Configuration Utility to configure scan and image device sources and VRS default scanners.

From your scanning application, you select a scan source to ensure that the appropriate drivers are used during your scanning session. If you have installed either VRS or an Adrenaline SCSI scanner controller, several scan sources are already available for use with your scanning application. However, you may need to use the Kofax Scanner Configuration Utility to create an additional scan source if one of the following situations is applicable to your installation:

  • You are using VRS with a “compatible” scanner, which is a scanner that has not gone through the VRS certification process.

  • You are using a Kofax Adrenaline SCSI scanner controller (without VRS) with a “compatible” scanner, and you want to create a source other than the default source.

Using the Scanner Configuration Utility, you can do the following:

  • View a list of image devices (scanners and file import devices) that are available on your computer

  • Limit the scanner list to any or all of the following:

  • Scanners that are VRS-certified

  • Scanners for which sources are configured

  • Scanners from a certain manufacturer

  • Select a scanner and set it as the default scanner

  • Restore the default settings for a specific scanner

  • Manage scan sources

  • Set source properties

  • Create and manage import sources

Starting the Scanner Configuration Utility

The Scanner Configuration Utility is available from the Kofax VRS program folder or, if you are using Kofax Capture, from the Kofax Capture program folder.

Note VRS must be closed when you start the Scanner Configuration Utility.

  • To start the Scanner Configuration Utility

  1. Do one of the following:

  2. From the Start menu, navigate to the Kofax VRS program folder.

  3. From the Start menu, navigate to the Kofax Capture program folder.

  2. Select the Scanner Configuration Utility.

Related Topics

Configure Sources Dialog Box

Create Source Dialog Box

Scanner Configuration Utility Dialog Box

Source Properties Dialog Box


Scanner Configuration Utility Dialog Box

You can use the Scanner Configuration Utility dialog box to view a list of scanners that can be configured to work with VRS, Kofax Capture, the Adrenaline Image Processing Engine (AIPE), or your scanning application. Also, you can use the utility to view and configure file import devices.

Available image devices

Shows a list of devices (scanners and file import devices) that are available on your computer for use with VRS, Kofax Capture, AIPE, or your scanning application. Scanners will appear on the list if they are VRS-certified, or if their drivers are installed on the computer. The scanner list is organized according to scanner manufacturer and also sorted by scanner model, in alphabetical order. The following conventions apply to the items that appear on the "Available image devices" list:

  • VRS icon: Denotes scanners that are VRS-certified

  • Generic scanner icon: Denotes scanners that are not VRS-certified (also called "compatible" scanners)

  • Red X: Denotes scanners for which drivers are not available on the computer

  • Check mark: Denotes the currently selected default scanner

  • CD: Denotes a file import device

Click here to view a description of the icons that are used on the "Available image devices" list.

Limit scanner list to

Lists filtering options that you can select to restrict the items that display in the list of scanners. You can combine the filtering options to suit your preferences.

  • VRS certified scanners: Select this filter if you want the scanner list to include only scanners that are VRS-certified. If you do not select this filter, the scanner list includes VRS-certified scanners, along with non-certified scanners for which drivers are installed on your computer.

  • Scanners with configured sources: Select this filter if you want the scanner list to include only scanners for which sources are already configured.

  • Scanners by manufacturer: Select one of the following:

  • All: Select this option if you prefer an unrestricted list that includes every scanner for which drivers are installed on the computer.

  • Manufacturer name: Select this option if you prefer to restrict the list to include scanners from a specific manufacturer, which you specify here.

Note As you position the cursor over a scanner name in the list, a tooltip will display to indicate the driver type (ISIS, TWAIN, or Kofax SCSI) that supports the scanner.

Current default scanner

Lists the scanner that is currently selected as the default scanner. In the "Available image devices" list, a check mark denotes the currently selected default scanner. Until the default scanner is specified, the "Current default scanner" entry is blank.

Current default source

Lists the source that is currently selected as the default source. Until the default scanner is specified, the "Current default scanner" entry is blank.

Options

Set as Default

Use this option to set the currently selected item in the “Available image devices” list as the default device. If the device is a certified or compatible VRS scanner, the appropriate sources are automatically created and configured (if they don’t exist already). If the selected item is a file import device, the default source “My Kofax File Import with AIPE” is created. Additionally, the default VRS settings are set and saved to the default profile for the selected scanner.

Configure Sources

Click this button to open the Configure Sources dialog box, which is used to create, configure, or view the sources for the device that is currently selected in the “Available image devices” list.

Restore VRS Defaults

Use this option to restore the VRS default settings for the selected scanner and set it as the default VRS source. Before selecting this option, sources must already exist for the specified device.

Refresh List

Use this option to update the list of devices. This option is useful if changes affecting the list (such as addition or deletion of drivers) have been made during the current session.

Help

Click this button to open the online Help system.

Close

Click this button to close the Scanner Configuration Utility.

Related Topics

Configure Sources Dialog Box

Create Source Dialog Box

Source Properties Dialog Box


Configure Sources Dialog Box

You can use this dialog box to create, configure, or manage the sources associated with the scanner or file import device that is currently selected in the "Available image devices" list in the Scanner Configuration Utility dialog box. The source configuration settings indicate how the Kofax software (VRS or Kofax Capture) should communicate with the scanner or file import device.

Configured sources

This list includes all sources that are available for the scanner or image device that is currently selected in the "Available image devices" list in the Scanner Configuration Utility dialog box. The sources are listed in alphabetical order. A check mark is used to denote the default source for the device.

Options

Set Device Default Source

Click this button to make the currently selected source the default source for the device.

New

Click this button to open the Create Source dialog box to add a new source for a scanner or import device. If no other sources exist for the device, the newly created source automatically becomes the default source for the device.

Delete

Click this button to remove a source that is selected on the "Configured sources" list. If the deleted source was the default source, another source (if available) for the same device is selected as the default source.

Properties

Click this button to view the Source Properties dialog box, from which you can set or view properties associated with the selected source.

Create Standard Sources

Click this button to create the standard VRS sources for the device that is selected in the Scanner Configuration Utility dialog box. When this option is in effect, the utility will set up the standard VRS-compatible sources for the device, based on the type of drivers (ISIS, TWAIN, Kofax SCSI, etc.) that it requires. This is an effective time-saving alternative to individual source creation. Once you click Create Standard Sources, the "Configured sources" list is updated.

Help

Click this button to open the online Help.

Close

Click this button to exit the Configure Sources dialog box.

Related Topics

Create Source Dialog Box

Scanner Configuration Utility Dialog Box

Source Properties Dialog Box


Create Source Dialog Box

You can use this dialog box to create a new source that will be added to the "Configured sources" list in the Configure Sources dialog box.

Source name

Enter the source name. The maximum source name length is 78 characters. If you attempt to enter a source name that exceeds 78 characters, the remaining characters will be truncated. If no other source exists at the time that you create a source, it becomes the default source for the selected device. Source names must be unique. Once the source name is set, you cannot edit it. If you want to change the source name, it must be removed and then reset.

Note Certain characters (left bracket, right bracket, pipe, equal sign, and semicolon) are not valid for source names: [ ] | = ;

Source type

Select the appropriate source type from the list. Some sources support both VRS and the Adrenaline Image Processing Engine (AIPE), while others support only one or the other.

Note Source type definitions are created by the VRS installation process, or by other programs. If source type definitions are missing, this utility will not be able to create sources for those types.

Enable TWAIN user interface

With TWAIN sources, this check box will be included on the dialog box. Select the check box if you want the scanner's native TWAIN interface to display while you are scanning with this source in use. When the scanner's native TWAIN user interface is enabled, it is used (instead of the VRS TWAIN interface) to initiate scanning. By default, this setting is not in effect.

Image formatting

The settings in this group are applicable if you have image files that have been saved by an ImageControls application (such as Kofax Capture). You can use the options in this group to select width alignment and JPEG compression quality settings for the images. These settings go into effect when the selected source is in use.

Note If you are using VRS from a TWAIN or ISIS application, the width alignment and JPEG compression quality settings may have no impact.

Enable width alignment

If you enable width alignment, the width of an image will be aligned on a specific boundary when this source is in use. This could be useful when images are rotated 90 degrees (the length becomes the new width), and the application requires image widths to be even multiples of 8 or 16 pixels. You can select one of the following options:

  • Pad Width to Byte Boundary: Pads image width up to the next multiple of 8 pixels

  • Pad Width to Word Boundary: Pads image width up to the next multiple of 16 pixels

JPEG compression quality

JPEG compression quality specifies the desired image quality to be retained when images are compressed to JPEG format while this source is in use. This could be useful if the size of your JPEG files is an issue, and you are able to accept less than optimal image quality to achieve smaller files. High values result in better image quality but larger compressed file sizes. Low values provide maximum compression and minimum quality. The default setting is 82.

TIFF JPEG Style

You have three options that support embedding of JPEG-compressed data in TIFF files. Select one of the following standard styles to support the ability of your scanning application to accept such files:

  • Kofax Classic (default): Offers backward compatibility to support some Kofax legacy applications

  • TIFF 6.0: Compatible with the TIFF 6.0 specification for storing image data

  • Technical Note 2: Compatible with the TIFF Technical Note 2 specification for storing image data

Options

OK

Click this button to save the settings and close the Create Source dialog box.

Cancel

Click this button to discard any changes and close the Create Source dialog box.

Help

Click this button to open the online Help.

Related Topics

Configure Sources Dialog Box

Scanner Configuration Utility Dialog Box

Source Properties Dialog Box


Source Properties Dialog Box

You can use this dialog box to set or view the properties associated with the source that is currently selected in the Configure Sources dialog box.

Source name

Lists the source name. You cannot edit the source name. To change the source name, you must. remove the source from the "Configured sources" list and then create another source with the desired name.

Source type

Lists the source type. You cannot edit the source type. To change the source type, you must remove the source from the "Configured sources" list and then create another source with the desired source type.

Enable TWAIN user interface

With TWAIN image devices, this check box will be included on the dialog box. Select the check box if you want the scanner's native TWAIN interface to display while you are scanning with this image device in use. When the scanner's native TWAIN user interface is enabled, it is used (instead of the VRS TWAIN interface) to initiate scanning. By default, this setting is not in effect.

Image formatting

The settings in this group are applicable if you have image files that have been saved by an ImageControls application (such as Kofax Capture). You can use the options in this group to select width alignment and JPEG compression quality settings for the images. These settings go into effect when the selected source is in use.

Note If you are using VRS from a TWAIN or ISIS application, the width alignment and JPEG compression quality settings may have no impact.

Enable width alignment

If you enable width alignment, the width of an image will be aligned on a specific boundary when this source is in use. This could be useful when images are rotated 90 degrees (the length becomes the new width), and the application requires image widths to be even multiples of 8 or 16 pixels. You can select one of the following options:

  • Pad Width to Byte Boundary: Pads image width up to the next multiple of 8 pixels

  • Pad Width to Word Boundary: Pads image width up to the next multiple of 16 pixels

JPEG compression quality

JPEG compression quality specifies the desired image quality to be retained when images are compressed to JPEG format while this source is in use. This could be useful if the size of your JPEG files is an issue, and you are able to accept less than optimal image quality to achieve smaller files. High values result in better image quality but larger compressed file sizes. Low values provide maximum compression and minimum quality. The default setting is 82.

TIFF JPEG Style

You have three options that support embedding of JPEG-compressed data in TIFF files. Select one of the following standard styles to support the ability of your scanning application to accept such files:

  • Kofax Classic (default): Offers backward compatibility to support some Kofax legacy applications

  • TIFF 6.0: Meets the TIFF 6.0 specification for storing image data

  • Technical Note 2: Meets the TIFF Technical Note 2 specification for storing image data

Options

OK

Click this button to save the settings and close the Source Properties dialog box.

Cancel

Click this button to discard any changes and close the Source Properties dialog box.

Help

Click this button to open the online Help.

Related Topics

Create Source Dialog Box

Configure Sources Dialog Box

Scanner Configuration Utility Dialog Box


Icons

The icons serve as visual cues that indicate important information about the items on the "Available image devices" list or scanner list. By looking at the icon next to a particular device (scanner or file import device) name, you can determine the following:

  • Whether or not a scanner is VRS-certified

  • Whether or not the driver associated with a particular scanner exists on your computer

  • Which scanner or image device is currently selected as the default device

The following table explains the significance of each icon that is used in the "Available image devices" list or scanner list.

Icon | Description
VRS Certified Scanner | Scanner is VRS-certified.
VRS Certified Scanner Selected as Default | Scanner is VRS-certified, and it is currently selected as the default device.
VRS Certified Scanner Without Driver on Computer | Scanner is VRS-certified, but the driver does not exist on the computer.
VRS Certified Scanner Selected as Default, Without Driver on Computer | Scanner is VRS-certified and currently selected as the default device, but the driver does not exist on the computer.
Scanner is not VRS certified | Scanner is not VRS-certified.
Current Default Scanner is not VRS-certified | Scanner is not VRS-certified, and it is currently selected as the default device.
File import source | Device is a file import source.


Restoring VRS Default Settings

The VRS default settings have been carefully chosen to ensure that VRS excels with a wide range of documents and scanners without requiring adjustments. A unique set of VRS property settings is available for each VRS-certified scanner, and they go into effect when that scanner is in use. In the day-to-day use of VRS, the default settings may inadvertently be altered. From the Scanner Configuration Utility, you can use the Restore VRS Defaults function to restore the VRS original default settings for the selected device and also set it as the default scanner source.

In earlier versions of VRS, the Restore Default Values (RDV) utility was used to reset VRS default values. The RDV utility has been discontinued and replaced with the Restore Default Values function in the Scanner Configuration Utility.

If you have a copy of the RDV utility from an earlier release, the utility will automatically be removed when you install Kofax Capture or VRS.

  • To restore VRS default settings

  1. From the Scanner Configuration Utility dialog box, use the “Available image devices” list to locate the scanner that you have configured for use with VRS.

  2. Select your scanner from the list.

  3. Click Restore VRS Defaults.

Note The Restore VRS Defaults function is not available unless sources have been configured for the selected scanner.

Notice that the “Current default scanner” and “Current default source” entries will be updated at the bottom of the Scanner Configuration Utility dialog box.

  4. Click Close to exit the Scanner Configuration Utility.

When you start VRS, you will notice that the panels in the VRS Adjustment Controls will be updated with the original default settings.

Note The Restore Default Values functionality is also applied when you select Set as Default from the Scanner Configuration Utility dialog box. The difference between the two options is that the Set as Default option will automatically create sources for the selected device, if they do not already exist.


Source Types

The source types listed below are available for scanners. The scanner source types depend on the drivers (ISIS, TWAIN, or Kofax) that are required to support a particular scanner. Other factors include support for AIPE (Adrenaline Image Processing Engine) or HVRS (Hardware VirtualReScan).

Note HVRS source types are used in connection with production-class, high-speed scanners in which a specialized interface board is installed to perform VRS functions.

ISIS Source Types

  • Software VRS - ISIS scanning with image processing (AIPE) (default)

  • Software VRS - ISIS scanning

  • ISIS scanning with image processing (AIPE)

  • ISIS scanning

TWAIN Source Types

  • Software VRS - TWAIN scanning with image processing (AIPE) (default)

  • Software VRS - TWAIN scanning

  • TWAIN scanning with image processing (AIPE)

  • TWAIN scanning

HVRS Source Types

  • Hardware VRS - SCSI scanning with image processing (AIPE) (default)

  • Hardware VRS - SCSI scanning

Kodak i600 TWAIN Source Types

  • Software VRS - TWAIN scanning with image processing (AIPE) (default)

  • Software VRS - TWAIN scanning

Kodak i600 Toggle Patch with the Kodak i600 ISIS driver

  • ISIS scanning with image processing (AIPE)

Böwe Bell+Howell1200/1400

  • Software VRS - ISIS scanning (default)

  • ISIS scanning

The following source types are available for file import sources:

  • Kofax Software - Import from disk with image processing (default)

  • Kofax Software - Import from disk without image processing

Source Types

When creating a source for a scanner or other image device, you select one of the following source types, as appropriate.

Scanner Source Types

File Import Source Types